<div ng-controller="DetalleCtrl">
    <div class="page page-dashboard">
        <div class="pageheader">
            <div class="page-bar">
              <ul class="page-breadcrumb">
                <li>
                  <a ui-sref="home.dashboard"><i class="fa fa-home"></i> Home</a>
                </li>
                <li>
                  <!-- <a>Contenedores</a> -->
                  <!-- <a href="#/home/semana/detalle_semana">Contenedores</a> -->
                </li>
              </ul>
            </div>
        </div>
        <div class="card-container">
        	<div class="panel panel-success">
        		<div class="panel-heading">
        			<h3 class="text-center">
        				Detalle de Contenedor <strong>{{container.numero_contenedor}}</strong>
                       <!--  <button ng-if="!loadDownloadDetalle" class="btn btn-default btn-border btn-rounded-10" ng-click="downloadDetalle()"> <i class="fa fa-file-excel-o"></i> descargar detalle</button>
                        <button ng-if="loadDownloadDetalle" class="btn btn-default btn-border btn-rounded-10"><i class="fa fa-spinner fa-spin"></i> descargando</button> -->
        			</h3>
        		</div>
        		<div class="panel-body">
        			
        			<form>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                	<div class="row">
                                    	<div class="col-md-12">
                                            <label for="">Número</label>
                                            <p class="form-control" ng-bind="container.numero_contenedor"></p>
                                        </div>
                                    </div>
                                </div>

                                <div class="form-group">
                                	<div class="row">
                                		<div class="col-md-6">
                                			<label class="control-label">Cliente</label>  
                                			<p class="form-control" ng-bind="container.cliente"></p>
                                		</div>
                                		<div class="col-md-6">
                                			<div class="form-group">
        	                                    <label class="control-label">Puerto</label>
        	                                    <p class="form-control" ng-bind="container.puerto_destino"></p>
        	                                </div>
                                		</div>
                                	</div>
                                </div>

                                <div class="form-group">
                                	<div class="row">
                                		<div class="col-md-12">
                                			<label class="control-label">Línea Naviera</label>
                                            <p class="form-control" ng-bind="container.linea_naviera"></p>
                                		</div>
                                	</div>
                                </div>

                                <div class="form-group">
                                	<div class="row">
                                		<div class="col-md-6">
                                			<label class="control-label">Peso Neto (kg)</label>
                                			<p class="form-control" ng-bind="container.peso_neto"></p>
                                		</div>
                                		<div class="col-md-6">
                                			<label class="control-label">Peso Bruto (kg)</label>
                                			<p class="form-control" ng-bind="container.peso_bruto"></p>
                                		</div>
                                	</div>
                                </div>

                                <div class="form-group">
                                    <div class="row">
                                    	<div class="col-md-6">
                                    		<label class="control-label">Fecha Inicio Proceso</label>
                                    		<p class="form-control">{{container.dia_proceso_inicio | date:'dd-MM-yyyy'}}</p>
                                    	</div>
                                        <div class="col-md-6">
                                            <label class="control-label">Fecha Fin Proceso</label>
                                            <p class="form-control">{{container.dia_proceso_fin | date : 'dd-MM-yyyy'}}</p>
                                        </div>
                                    </div>
                                </div>

                                <div class="form-group">
                                	<div class="row">
                                		<div class="col-md-6">
                                			<label class="control-label">Fecha de Zarpe</label>
                                   			<p class="form-control">{{container.dia_zarpe |date : 'dd-MM-yyyy'}}</p>
                                		</div>
                                		<div class="col-md-6">
                                			<label class="control-label">Fecha de Llegada</label>
                                    		<p class="form-control">{{container.dia_llegada |date : 'dd-MM-yyyy'}}</p>
                                		</div>
                                	</div>
                                </div>


                            </div>
                            <div class="col-md-6">

                            	<div class="form-group">
                                	<div class="row">
                                		<div class="col-md-12">
                                			<label class="control-label">Referencia</label>
                                			<p class="form-control" ng-bind="container.referencia"></p>
                                		</div>
                                	</div>
                                </div>

                                <div class="form-group">
                                	<div class="row">
                                		<div class="col-md-6">
                                			<label class="control-label">Booking</label>
                                            <p class="form-control" ng-bind="container.booking"></p>
                                		</div>
                                		<div class="col-md-6">
                                			<label class="control-label">Nave</label>
                                            <p class="form-control" ng-bind="container.nave"></p>
                                		</div>
                                	</div>
                                    
                                </div>
        						
        						<div class="form-group">
                                    <div class="row">
                                    	<div class="col-md-12">
                                            <label class="control-label">Operador</label>
                                            <p class="form-control" ng-bind="container.operador"></p>
                                    	</div>
                                    </div>
                                </div>

                                <div class="form-group">
                                	<div class="row">
                                    	<div class="col-md-12">
        	                            	<label class="control-label">Cajas</label>                 
        		                            <table class="table table-hover table-bordered">
        		                            	<thead>
        		                            		<th>Cantidad</th>
        		                            		<th>Marca</th>
        		                            	</thead>
        										<tbody>
        											<tr dir-paginate="cja in container.cajas |filter: buscar | itemsPerPage: 5" pagination-id="cja.id">
        												<td>{{cja.cantidad_cajas}}</td>
        												<td>{{cja.marca | uppercase}}</td>
        											</tr>
        										</tbody>
        									</table>
                                    	</div>
                                    </div>
                                </div>
                                <hr>
                                <div class="form-group">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <label class="control-label">Valija</label>
                                            <p class="form-control" ng-bind="container.valija"></p>
                                        </div>
                                    </div>
                                </div>
                                <br>
                                <!-- <div class="form-group" ng-if="(packings.length+facturas.length+certificados.length) > 0">
                                    <button ng-if="!loadDownload" class="btn btn-primary btn-border btn-rounded-10 btn-block" ng-click="descargarZip()"><i class="fa fa-download"></i> consolidado de archivos</button>
                                    <button ng-if="loadDownload" class="btn btn-primary btn-border btn-rounded-10 btn-block" disabled=""><i class="fa fa-spinner fa-spin"></i> descargando, por favor espere...</button>
                                </div> -->
                            </div>
                        </div>                
                    </form>

        			<!-- <legend><i class="fa fa-recycle"></i> Pakings</legend>
                    <div class="row">
                        <div class="col-md-12">
                            <button class="btn btn-success btn-rounded-10 btn-border" ng-if="permisosHas('packings.registrar')" ng-click="openModalSave($event,1)"  data-options="splash-2 splash-ef-14"><i class="fa fa-file-excel-o"></i> agregar archivos</button>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12" ng-show='packings.length != 0'>
                            <div class="table-responsive mt-5">
                                <table class="table table-bordered table-hover">
                                    <thead>
                                        <tr>
                                            <th>#</th>
                                            <th>Nombre del archivo</th>
                                            <th>Fecha de subida</th>
                                            <th>Hora de subida</th>
                                            <th width="350px">Operaciones</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr dir-paginate="pack in packings |filter: buscar | itemsPerPage: 4" pagination-id="pack.id">
                                            <td>{{$index + 1}}</td>
                                            <td>{{pack.nombre}}</td>
                                            <td>{{pack.fecha}}</td>
                                            <td>{{pack.hora}}</td>
                                            <td>
                                                <button type="button" class="btn btn-default btn-border btn-rounded-20" ng-click="download(pack,1)">Descargar <i class="fa fa-download"></i></button>
                                                <button type="button" class="btn btn-default btn-border btn-rounded-20" disabled>Visualizar <i class="fa fa-desktop"></i></button>
                                                <button type="button" class="btn btn-default btn-border btn-rounded-20" ng-if="permisosHas('packings.registrar')" ng-click="load(pack);openModalDelete($event,1)"  data-options="splash-2 splash-ef-14">Eliminar <i class="fa fa-trash-o"></i></button>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                            <div class="pull-right">
                                <small><dir-pagination-controls pagination-id="pack.id"></dir-pagination-controls></small>
                            </div>
                        </div>
                        <div class="col-md-12" ng-show="packings.length == 0">
                            <p class="text-center">
                                <i class="fa fa-inbox fa-4x"></i>
                                <h4 class="text-center">aún no se han registrado packings para este contenedor...</h4> 
                            </p>
                        </div>    
                    </div>
                     -->
                    
                    <!-- <br>
        			<legend>
                        <i class="fa fa-recycle"></i> Facturas
                    </legend>
                    <div class="row">
                        <div class="col-md-12">
                            <button class="btn btn-danger btn-rounded-10 btn-border" ng-if="permisosHas('facturas.registrar')" ng-click="openModalSave($event,2)"  data-options="splash-2 splash-ef-14"><i class="fa fa-file-pdf-o"></i> agregar archivos</button>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12" ng-show="facturas.length != 0">
                            <div class="table-responsive mt-5">
                                <table class="table table-hover table-bordered">
                                    <thead>
                                        <tr>
                                            <th>#</th>
                                            <th>Nombre del archivo</th>
                                            <th>Fecha de subida</th>
                                            <th>Hora de subida</th>
                                            <th width="350px">Operaciones</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr dir-paginate="fac in facturas |filter: buscar | itemsPerPage: 4" pagination-id="fac.id">
                                            <td>{{$index + 1 }}</td>
                                            <td>{{fac.nombre}}</td>
                                            <td>{{fac.fecha}}</td>
                                            <td>{{fac.hora}}</td>
                                            <td>
                                                <button type="button" class="btn btn-default btn-border btn-rounded-20 mb-10" ng-click="download(fac,2)">Descargar <i class="fa fa-download"></i></button>
                                                <button type="button" class="btn btn-default btn-border btn-rounded-20 mb-10"  ng-click="load(fac);openModalPreview($event)"  data-options="splash-2 splash-ef-14" >Visualizar <i class="fa fa-desktop"></i></button>
                                                <button type="button" class="btn btn-default btn-border btn-rounded-20 mb-10" ng-click="load(fac);openModalDelete($event,2)"  data-options="splash-2 splash-ef-14">Eliminar <i class="fa fa-trash-o"></i></button>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                            <div class="pull-right">
                                <small><dir-pagination-controls pagination-id="fac.id"></dir-pagination-controls></small>
                            </div>
                        </div>
                        <div class="col-md-12" ng-show="facturas.length == 0">
                            <p class="text-center">
                                <i class="fa fa-inbox fa-4x"></i>
                                <h4 class="text-center">aún no se han registrado Facturas para este contenedor...</h4> 
                            </p>
                        </div>
                    </div>
                    <br> -->

        			<!-- <legend><i class="fa fa-recycle"></i> Certificados</legend>
                    <div class="row">
                        <div class="col-md-12">
                            <button class="btn btn-danger btn-rounded-10 btn-border" ng-if="permisosHas('certificados.registrar')" ng-click="openModalSave($event,3)"  data-options="splash-2 splash-ef-14"><i class="fa fa-file-pdf-o"></i> agregar archivos</button>
                        </div>
                    </div>
        			<div class="row">
                        <div class="col-md-12" ng-show="certificados.length != 0">
                            <div class="table-responsive mt-5">
                                <table class="table table-hover table-bordered">
                                    <thead>
                                        <tr>
                                            <th>#</th>
                                            <th>Nombre del archivo</th>
                                            <th>Fecha de subida</th>
                                            <th>Hora de subida</th>
                                            <th width="350px">Operaciones</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr dir-paginate="cer in certificados |filter: buscar | itemsPerPage: 4" pagination-id="cer.id">
                                            <td>{{$index + 1}}</td>
                                            <td>{{cer.nombre}}</td>
                                            <td>{{cer.fecha}}</td>
                                            <td>{{cer.hora}}</td>
                                            <td>
                                                <button type="button" class="btn btn-default btn-border btn-rounded-20 mb-10" ng-click="download(cer,3)">Descargar <i class="fa fa-download"></i></button>
                                                <button type="button" class="btn btn-default btn-border btn-rounded-20 mb-10">Visualizar <i class="fa fa-desktop"></i></button>
                                                <button type="button" class="btn btn-default btn-border btn-rounded-20 mb-10" ng-click="load(cer);openModalDelete($event,3)"  data-options="splash-2 splash-ef-14">Eliminar <i class="fa fa-trash-o"></i></button>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                            <div class="pull-right">
                                <small><dir-pagination-controls pagination-id="cer.id"></dir-pagination-controls></small>
                            </div>
                        </div>
                        <div class="col-md-12" ng-show="certificados.length == 0">
                            <p class="text-center">
                                <i class="fa fa-inbox fa-4x"></i>
                                <h4 class="text-center">aún no se han registrado Certificados para este contenedor...</h4> 
                            </p>
                        </div>
                    </div> -->
        		</div>
        	</div>
        </div>
    </div>

    <script type="text/ng-template" id="modal_preview.html">
        <div class="modal-body">
            <div class="text-center">
                <div class="row">
                    <div class="col-md-12">
                        <embed src="{{ruta}}" width="100%" toolbar=0 height="500px">
                        </embed>
                    </div>
                </div>
                <button type="button" class="btn btn-default btn-border btn-rounded-10" ng-click="cancel()"><i class="fa fa-close"></i> cerrar</button>
            </div>
        </div>
    </script>

    <script type="text/ng-template" id="modal_delete_file.html">
       <div class="modal-header">
            <div class="text-center">
                <h3 class="modal-title custom-font">¿Desea eliminar este archivo?</h3>
            </div>            
        </div>
        <div class="modal-body">
            <div class="text-center">
                <h3>{{obj.nombre}}</h3>
                <button type="button" class="btn btn-danger" ng-disabled="!flagButton" ng-click="ok()">Aceptar</button>
                <button type="button" class="btn btn-primary" ng-click="cancel()">Cancelar</button>
            </div>
        </div>
    </script>

    <script type="text/ng-template" id="modal_upload.html">
        <div class="modal-body">
            <form name="form" ng-if="route!=='packing'">

                <legend class="text-center"><i class="fa fa-upload"></i> Subir archivos</legend>

                <div class="text-center">
                    <input type="file" id="id_file" ngf-select ng-model="picFile" name="file" accept="application/pdf" ngf-max-size="1MB" required ngf-multiple="true" ngf-model-invalid="errorFile">
                    <i ng-show="form.file.$error.required">*required<br></i>
                    <i ng-show="form.file.$error.maxSize">Archivo demaciado Grande</i>
                </div>

                <div class="table-responsive" ng-if="picFile.length">
                    <table class="table table-hover">
                        <thead>
                            <tr>
                                <th>Nombre</th>
                                <th>Tamaño</th>
                                <th></th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr ng-repeat="f in picFile">
                                <td>{{f.name}}</td>
                                <td>{{(f.size/1024)/1024 | number:2}} MB</td>
                                <td>
                                    <button type="button" class="btn btn-danger" ng-click="deleteItemArray (picFile,$index)"><i class="fa fa-trash"></i></button>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>

                <div class="text-center">
                    <button type="button" class="btn btn-default btn-border btn-rounded-10" ng-click="cancel()"> <i class="fa fa-close"></i> cancelar</button>
                    <button  ng-if="!load" ng-disabled="!form.$valid" type="submit" class="btn btn-default btn-border btn-rounded-10" ng-click="uploadFiles(picFile)"><i class="fa fa-save"></i> guardar</button>
                    <button ng-if="load" type="button" class="btn btn-default btn-border btn-rounded-10">
                    <i class="fa fa-spin fa-spinner"></i> subiendo archivos...</button>
                </div>
            </form>
            <form name="form" ng-if="route==='packing'">

                <legend class="text-center"><i class="fa fa-upload"></i> Subir archivos</legend>

                <div class="text-center">
                    <input type="file" ngf-select ng-model="picFile" name="file" accept="application/vnd.openxmlformats-officedocument.spreadsheetml.sheet, application/vnd.ms-excel" ngf-max-size="1MB"  required ngf-multiple="true" ngf-model-invalid="errorFile">
                    <i ng-show="form.file.$error.required">*required<br></i>
                    <i ng-show="form.file.$error.maxSize">Archivo demaciado Grande</i>
                </div>

                <div class="table-responsive" ng-if="picFile.length">
                    <table class="table table-hover">
                        <thead>
                            <tr>
                                <th>Nombre</th>
                                <th>Tamaño</th>
                                <th></th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr ng-repeat="f in picFile">
                                <td>{{f.name}}</td>
                                <td>{{(f.size/1024)/1024 | number:2}} MB</td>
                                <td>
                                    <button type="button" class="btn btn-danger" ng-click="deleteItemArray(picFile,$index)"><i class="fa fa-trash"></i></button>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>

                <div class="text-center">
                    <button type="button" class="btn btn-default btn-border btn-rounded-10" ng-click="cancel()"> <i class="fa fa-close"></i> cancelar</button>
                    <button  ng-if="!load" ng-disabled="!form.$valid" type="submit" class="btn btn-default btn-border btn-rounded-10" ng-click="uploadFiles(picFile)"><i class="fa fa-save"></i> guardar</button>
                    <button ng-if="load" type="button" class="btn btn-default btn-border btn-rounded-10">
                    <i class="fa fa-spin fa-spinner"></i> subiendo archivos...</button>
                </div>
            </form>
        </div>
    </script>
</div>